Last modified: 2014-01-26 12:36:59 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 34445 - user-select:none for editsection buttons and other buttons
user-select:none for editsection buttons and other buttons
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Interface (Other open bugs)
unspecified
All All
: Low enhancement (vote)
: 1.23.0 release
Assigned To: Fomafix
:
Depends on:
Blocks: editlinks
  Show dependency treegraph
 
Reported: 2012-02-16 15:26 UTC by Fomafix
Modified: 2014-01-26 12:36 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Fomafix 2012-02-16 15:26:36 UTC
The edit section buttons are selectable and are annoying when transfer the HTML text with copy and paste to a word processing program.

It is possible to disable the selection for specific elements:

https://developer.mozilla.org/en/CSS/user-select

.editsection {
	-moz-user-select: none;
	-webkit-user-select: none;
	-ms-user-select: none;
}

The hide/show buttons should also be not selectable.
Comment 1 Brion Vibber 2012-02-16 20:30:06 UTC
Done for 1.20 in r111676:

Tested on current Firefox, Chrome, Safari, Opera:
* Firefox excludes from select and copy
* Chrome, Safari exclude from select, but they turn up on the copy
* Opera doesn't seem to support the setting (event namespaced)
* IE not tested but 10 should support it if 9 doesn't
Comment 2 Fomafix 2012-02-17 14:03:09 UTC
The buttons from https://www.mediawiki.org/wiki/Manual:Collapsible_elements should also be not selectable: CSS class: mw-collapsible-toggle
Comment 3 db [inactive,noenotif] 2012-02-18 17:54:43 UTC
Maybe create a own class .nouserselect for this like .noprint for non-printable content.
Comment 4 Fomafix 2012-02-19 14:59:35 UTC
All buttons in the page content should
* not printed
* not be selectable and copyable
* have the user interface language and direction

A new class should activate all the requirements at once.


Maybe the whole MediaWiki frame which is excluded in print version should also be not selectable. Then the content is transferable to a word processing by selecting everything (Ctrl+A) and copy (Ctrl+C).
Comment 5 Gerrit Notification Bot 2014-01-05 23:22:05 UTC
Change 105621 had a related patch set uploaded by Gerrit Patch Uploader:
Exclude toggle button of collapsible elements from user selection

https://gerrit.wikimedia.org/r/105621
Comment 6 Gerrit Notification Bot 2014-01-06 15:05:47 UTC
Change 105689 had a related patch set uploaded by Gerrit Patch Uploader:
Exclude toggle button of collapsible elements from user selection

https://gerrit.wikimedia.org/r/105689
Comment 7 Gerrit Notification Bot 2014-01-09 12:48:40 UTC
Change 105621 abandoned by Bartosz Dziewoński:
Exclude toggle button of collapsible elements from user selection

Reason:
Superseded by https://gerrit.wikimedia.org/r/#/c/105689/

https://gerrit.wikimedia.org/r/105621
Comment 8 Gerrit Notification Bot 2014-01-09 12:53:24 UTC
Change 105689 merged by jenkins-bot:
Exclude toggle button of collapsible elements from user selection

https://gerrit.wikimedia.org/r/105689
Comment 9 Helder 2014-01-26 12:36:59 UTC
Some notes on Gerrit change #105689:
* This doesn't prevent users from copying the "[edit]" (at least not on Google Chrome) together with the page content. If I go to
https://en.wikipedia.org/wiki/Example?oldid=587367910
and select from "Wilson" to "Exemplar" and copy the selection, this is what is copied in both browsers:
** Google Chrome 32.0.1700.77:
---------------------
Wilson
See also[edit]

Exemplar
---------------------
** Firefox 26.0:
---------------------
    Wilson

See also

    Exemplar
---------------------
* This removed the ability of selecting the text of **custom** toggles (bug 60441)
* This removes our ability to detect "cut and paste moves" using abuse filter:
https://en.wikipedia.org/wiki/Special:AbuseFilter/164
https://pt.wikipedia.org/wiki/Special:Abusefilter/95

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links